Forum CMS Made Simple Francophone

Aide francophone sur CMS Made Simple

Vous n'êtes pas identifié(e).

Annonce

ATTENTION

  • Prenez le temps de rechercher si quelqu'un n'a pas déjà proposé une solution à votre problème. Sur le forum français et sur le wiki
  • Pensez à mettre à jour votre version de CMS Made Simple. Nous ne faisons de support que sur LA dernière version de CMS Made Simple.
  • Renseignez impérativement le formulaire de nouveau message de manière la plus complète que possible. Dans votre CMS utiliser le menu Administration du site/Informations du système en haut Vue au format texte. Ces informations demandées nous permettent de mieux vous aider
  • Ajoutez [Résolu] au début du titre de votre 1er message lorsqu'une solution a été trouvée.

#1 12/01/2018 11:09:47

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

[Résolu] Problème lors de la mise à jour vers 2.2.5

#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 2.2.5
#~ Url du site : seipam.fr
#~ Hébergeur / Soft : OVH mutu
#~ Informations Système :
#~      ----------------------------------------------
#~      Cms Version: 2.2.5
#~      Installed Modules:
#~      AdminSearch: 1.0.4
#~      CGContentUtils: 2.2.2
#~      CGExtensions: 1.54.1
#~      CGSimpleSmarty: 2.1.6
#~      CMSContentManager: 1.1.6
#~      CMSMailer: 6.2.14
#~      CmsJobManager: 0.1.2
#~      DesignManager: 1.1.4
#~      FileManager: 1.6.5
#~      FilePicker: 1.0.2
#~      FormBuilder: 0.8.1.6
#~      FrontEndUsers: 2.3.2
#~      JQueryTools: 1.4.0.1
#~      MenuManager: 1.50.3
#~      MicroTiny: 2.2.2
#~      ModuleManager: 2.1.3
#~      Navigator: 1.0.8
#~      News: 2.51.3
#~      Search: 1.51.2
#~      SelfRegistration: 1.10
#~      Showtime2: 3.5.3
#~      SiteMapMadeSimple: 1.2.8
#~      Config Information:
#~      php_memory_limit:
#~      max_upload_size: 128000000
#~      url_rewriting: mod_rewrite
#~      page_extension: .html
#~      query_var: page
#~      auto_alias_content: true
#~      locale:
#~      set_names: true
#~      timezone: Europe/Paris
#~      permissive_smarty: false
#~      Php Information:
#~      phpversion: 5.6.32
#~      md5_function: On  (Vrai)
#~      json_function: On  (Vrai)
#~      gd_version: 2
#~      tempnam_function: On  (Vrai)
#~      magic_quotes_runtime: Off  (Faux)
#~      E_ALL: 32759
#~      E_STRICT: 2048
#~      E_DEPRECATED: 8192
#~      test_file_timedifference: Aucune différence de date du système trouvée
#~      test_db_timedifference: Aucune différence de date du système trouvée
#~      create_dir_and_file: 1
#~      memory_limit: 512M
#~      max_execution_time: 300
#~      register_globals: Off  (Faux)
#~      output_buffering: 4096
#~      disable_functions: _dyuweyrj4, _dyuweyrj4r, dl
#~      open_basedir:
#~      test_remote_url: Echec
#~      file_uploads: On  (Vrai)
#~      post_max_size: 130M
#~      upload_max_filesize: 128M
#~      session_save_path: /tmp (0700)
#~      session_use_cookies: On  (Vrai)
#~      xml_function: On  (Vrai)
#~      xmlreader_class: On  (Vrai)
#~      check_ini_set: On  (Vrai)
#~      curl: On
#~      Performance Information:
#~      allow_browser_cache: On  (Vrai)
#~      browser_cache_expiry: 60
#~      php_opcache: On  (Vrai)
#~      smarty_cache: Off  (Faux)
#~      smarty_compilecheck: Off  (Faux)
#~      auto_clear_cache_age: On  (Vrai)
#~      Server Information:
#~      Server Software: Apache
#~      Server Api: fpm-fcgi
#~      Server Os: Linux 4.14.11-ovh-vps-classid+ On  x86_64
#~      Server Db Type: MySQL (mysqli)
#~      Server Db Version: 5.5.55
#~      Server Db Grants: Impossible de trouver un privilège "GRANT ALL". Cela ne conduit pas nécessairement à des problèmes... Mais si vous avez des problèmes pour installer/retirer des modules ou ajouter/supprimer des éléments de contenu ou pages cela pourrait en être la cause.
#~      Permission Information:
#~      tmp: /home/seipam/www/tmp (0705)
#~      tmp_cache: /home/seipam/www/tmp/cache (0705)
#~      templates_c: /home/seipam/www/tmp/templates_c (0705)
#~      modules: /home/seipam/www/modules (0705)
#~      uploads: /home/seipam/www/uploads (0705)
#~      Masque de création de fichier (umask) : /home/seipam/www/tmp/cache (0705)
#~      config_file: 0444
#~      ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,
Je procède à la mise à jour (de 2.1.6 vers 2.2.5) et constate un problème dès le premier écran d'install, aucune css ne semble s'appliquer. je continue le process qui se déroule correctement jusqu'à l'étape 9 (finalisation) qui semble ne pas s'effectuer. Pourtant, la version affichée dans le back office est bien 2.2.5 mais je rencontre le même problème que Michel22 (discussion close : [Résolu]dysfonctionnement modulemanager) : le gestionnaire de module affiche le message d'erreur "Un problème est survenu lors de la communication du module vers le serveur" et ne donne accès qu'à 2 onglets : "installé" et "configuration".
J'ai tenté de réparer l'installation mais avec le même résultat.
J'ai vérifié le .ovhconfig (à jour).
Avez-vous une solution ?
Merci de votre aide.

Dernière modification par locodinodi (17/01/2018 10:05:26)

Hors ligne

#2 12/01/2018 13:10:02

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 6 101
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

se déconnecter du CMS après avoir vider cache CMS et navigateur
faire un essai juste en renommant temporairement 'exemple ajouter _ devant le nom les dossiers des modules qui ne sont pas fourni avec CMSms
puis se reconnecter et retester, si OK renommer les modules avec leur nom d'origine

en plus phpversion: 5.6.32
attention The PHP development team announces the immediate availability of PHP 5.6.33 This is a security release
voir si possible passer en PHP 7.2.1


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#3 12/01/2018 17:16:11

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Merci jce,
J'ai testé mais aucun changement.

Je n'arrive pas à passer en php 7.2 :
GET to /admin/systeminfo.php not supported.
Additionally, a 501 Not Implemented error was encountered while trying to use an ErrorDocument to handle the request.

Que faire ?
Merci

Hors ligne

#4 12/01/2018 19:15:27

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 6 101
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

peut être vérifier si un fichier moduleinfo.ini est présent dans /ModuleManager/ et alors le supprimer
si problème
poster sur le forum EN
en dernier recourt
alors faire la mise à jour en local et renvoyer ensuite sur le site

Pour PHP il n'y pas possibilité de passer a une version supérieure à 5.6 chez OVH ? PHP  7.0 ou 7.1 alors


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#5 15/01/2018 15:36:09

Ouik
Modérateur
Lieu : Bourgogne
Inscription : 08/01/2008
Messages : 1 080
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Non, ne pas passer en 7.2, mais en 7.0 pour le moment uniquement, il semble qu'il y ait quelques soucis de compatibilité avec des modules en 7.1.

Hors ligne

#6 15/01/2018 16:13:31

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 6 101
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

je suis en 7.1 et pas de soucis de module, mais je n'utilise pas beaucoup de modules wink
il faut quand me noter que PHP 7.1 est sortie depuis plus d'un an (01/12/2016)
En PHP 7.2 se sont des alertes ou notices  ...  qui qui peuvent être cachées avec error_reporting(0);  wink
C'est d’ailleurs un problème aussi d'alertes ou notices si utilisation de version CMSMS 1.12.02 en PHP 7.x


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#7 15/01/2018 17:05:13

Ouik
Modérateur
Lieu : Bourgogne
Inscription : 08/01/2008
Messages : 1 080
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Pour 7.1, ce sont des warnings je crois pour des modules externes.

Hors ligne

#8 15/01/2018 20:38:45

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Merci pour votre aide.

J'ai réinstallé la version antérieure (2.1.6)
> mis à jour les différents modules
> mis à jour vers PHP Version 7.0.25
> tout était ok sauf CmsjobManager qui indiquait "n'est pas installé"

J'ai,tenté une mise à jour vers 2.2. Je retombe sur la même chose, écran sans les css, étape 9 (finalisation) qui ne s'effectue pas alors que la version affichée dans le back office est bien 2.2.

j'ai :
> renommé tous les moduleinfo.ini en _moduleinfo.ini
> "déinstaller" (renommé en _module...) tous les modules hors noyau
et le message suivant apparait :
Un problème est survenu lors de la communication du module vers le serveur

Merci à nouveau de votre aide.

Hors ligne

#9 16/01/2018 10:08:21

Ouik
Modérateur
Lieu : Bourgogne
Inscription : 08/01/2008
Messages : 1 080
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Et tout le reste est fonctionnel ?

Hors ligne

#10 16/01/2018 11:35:39

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Dsl, oublié de mentionner que le gestionnaire de modules, outre le message "Un problème est survenu lors de la communication du module vers le serveur" ne propose que 2 onglets : Installé + Configuration.

CMSMailer est indiqué en rouge mais ne peut pas être désintallé car Formbuilder dépend de lui. Devrais-je utiliser un autre module ?
Jusque'ici, tout a très bien fonctionné, c'est un site que je fais évoluer depuis  5 ans. Je ne sais plus comment faire !
Merci de votre soutien.

Hors ligne

#11 16/01/2018 15:34:23

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Point sur la situation :

Hors ligne

#12 16/01/2018 15:47:02

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

----------------------------------------------

Cms Version: 2.2.5

Installed Modules:

AdminSearch: 1.0.4
CGContentUtils: 2.2.2
CGExtensions: 1.58.1
CGSimpleSmarty: 2.1.7
CMSContentManager: 1.1.6
CMSMailer: 6.2.14
CmsJobManager: 0.1.2
DesignManager: 1.1.4
FileManager: 1.6.5
FilePicker: 1.0.2
FormBuilder: 0.8.1.6
FrontEndUsers: 2.4.4
JQueryTools: 1.4.0.3
MicroTiny: 2.2.2
ModuleManager: 2.1.3
Navigator: 1.0.8
News: 2.51.3
Search: 1.51.2
SelfRegistration: 1.10.1
Showtime2: 3.5.4
SiteMapMadeSimple: 1.2.8

Config Information:

php_memory_limit:
max_upload_size: 128000000
url_rewriting: mod_rewrite
page_extension: .html
query_var: page
auto_alias_content: true
locale:
set_names: true
timezone: Europe/Paris
permissive_smarty: false

Php Information:

phpversion: 7.0.25
md5_function: On  (Vrai)
json_function: On  (Vrai)
gd_version: 2
tempnam_function: On  (Vrai)
magic_quotes_runtime: Off  (Faux)
E_ALL: 32759
E_STRICT: 2048
E_DEPRECATED: 8192
test_file_timedifference: Aucune différence de date du système trouvée
test_db_timedifference: Aucune différence de date du système trouvée
create_dir_and_file: 1
memory_limit: 512M
max_execution_time: 300
register_globals: Off  (Faux)
output_buffering: 4096
disable_functions: _dyuweyrj4, _dyuweyrj4r, dl
open_basedir:
test_remote_url: Echec
file_uploads: On  (Vrai)
post_max_size: 130M
upload_max_filesize: 128M
session_save_path: /tmp (0700)
session_use_cookies: On  (Vrai)
xml_function: On  (Vrai)
xmlreader_class: On  (Vrai)
check_ini_set: On  (Vrai)
curl: On

Performance Information:

allow_browser_cache: On  (Vrai)
browser_cache_expiry: 60
php_opcache: On  (Vrai)
smarty_cache: Off  (Faux)
smarty_compilecheck: Off  (Faux)
auto_clear_cache_age: On  (Vrai)
Server Information:

Server Software: Apache
Server Api: fpm-fcgi
Server Os: Linux 4.14.11-ovh-vps-classid+ On  x86_64
Server Db Type: MySQL (mysqli)
Server Db Version: 5.5.55
Server Db Grants: Impossible de trouver un privilège "GRANT ALL". Cela ne conduit pas nécessairement à des problèmes... Mais si vous avez des problèmes pour installer/retirer des modules ou ajouter/supprimer des éléments de contenu ou pages cela pourrait en être la cause.

Permission Information:

tmp: /home/seipam/www/tmp (0705)
tmp_cache: /home/seipam/www/tmp/cache (0705)
templates_c: /home/seipam/www/tmp/templates_c (0705)
modules: /home/seipam/www/modules (0705)
uploads: /home/seipam/www/uploads (0705)
Masque de création de fichier (umask) : /home/seipam/www/tmp/cache (0705)
config_file: 0444
----------------------------------------------

Après réparation, le problème persiste malgré php 7.0.
Le gestionnaire de modules affiche toujours le message d'erreur "Un problème est survenu lors de la communication du module vers le serveur" + 2 colonnes "Installé" et "Configuration" seulement + échec sur test url distant

.ovhconfig :
app.engine=php
app.engine.version=7.0
http.firewall=none
environment=production

Par contre, j'ai récupéré l'affichage normal lors de l'installation ou réparation en changeant de navigateur (Chrome vs Safari).

Ce problème a été abordé par ecossais68, il semble l'avoir résolu par le .ovhconfig mais le lien donné par JCE vers .ovhconfig n'est plus d'actualité.

Avez-vous une idée ?
Merci

Hors ligne

#13 16/01/2018 19:58:10

Michel MD
Membre
Inscription : 27/11/2012
Messages : 17

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Bonjour,

Egalement chez Ovh, j'avais eu ce même message lors d'une mise à jour ("Un problème est survenu lors de la communication du module vers le serveur") l'ajout de container.image=stable dans le fichier .ovhconfig avais résolu le problème.

Hors ligne

#14 17/01/2018 07:39:35

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

MERCI !!!
En effet, ça règle le problème, le message disparait, les colonnes s'affichent à nouveau.
container.image=stable = "Cet environnement permet de bénéficier de Debian Jessie en base logicielle." après recherche OVH. Mes compétences ne me permettent pas de comprendre pourquoi mais ça marche !
Merci à tous pour votre aide.

Hors ligne

#15 17/01/2018 11:14:27

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 6 101
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

Il serait sympo de reporter cette config dans la discussion Hébergements compatibles V2x V2.2x en précisant le maximum d'information.

Note OVH Hébergement web : choisissez l'environnement d'exécution qui vous convient et Choisir un environnement d’execution


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

#16 17/01/2018 17:07:56

locodinodi
Membre
Inscription : 13/01/2015
Messages : 25

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5

C'est fait

Hors ligne

#17 18/01/2018 09:45:07

jce76350
Administrateur
Lieu : Rouen
Inscription : 23/09/2007
Messages : 6 101
Site Web

Re : [Résolu] Problème lors de la mise à jour vers 2.2.5


J-C Etiemble Tutoriels v 2.2.x

Hors ligne

Pied de page des forums